Topics

Error with NVDA addons

David Mehler
 

Hello,

I'm running NVDA 2019.2.1 on win10 x64. I checked for an NVDA update
and didn't see any. I then checked for addon updates and got error
messages from the following addons stating they need a minimum of NVDA
2019.3 which is not out yet. Is there a fix? The addons in question
are:

resource monitor
OBJ pad
windows 10 app essentials
goldwacve
virtual revision
easy table
enhanced touch gestures
systray list

Thanks.
Dave.

 

Hi,
You can ignore these updates for now until 2019.3 stable version is released.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of David Mehler
Sent: Tuesday, January 21, 2020 7:39 AM
To: nvda <nvda@nvda.groups.io>
Subject: [nvda] Error with NVDA addons

Hello,

I'm running NVDA 2019.2.1 on win10 x64. I checked for an NVDA update and didn't see any. I then checked for addon updates and got error messages from the following addons stating they need a minimum of NVDA
2019.3 which is not out yet. Is there a fix? The addons in question
are:

resource monitor
OBJ pad
windows 10 app essentials
goldwacve
virtual revision
easy table
enhanced touch gestures
systray list

Thanks.
Dave.

Tyler Spivey
 

Why isn't the updater checking the current version? Surely it can do that.

On 1/21/2020 7:44 AM, Joseph Lee wrote:
Hi,
You can ignore these updates for now until 2019.3 stable version is released.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of David Mehler
Sent: Tuesday, January 21, 2020 7:39 AM
To: nvda <nvda@nvda.groups.io>
Subject: [nvda] Error with NVDA addons

Hello,

I'm running NVDA 2019.2.1 on win10 x64. I checked for an NVDA update and didn't see any. I then checked for addon updates and got error messages from the following addons stating they need a minimum of NVDA
2019.3 which is not out yet. Is there a fix? The addons in question
are:

resource monitor
OBJ pad
windows 10 app essentials
goldwacve
virtual revision
easy table
enhanced touch gestures
systray list

Thanks.
Dave.




 

Hi,
At the moment it cannot block add-on downloads - we need a separate table in add-on files repo to store compatibility ranges. This is being worked on as part of a proposal to revamp the add-on release workflow.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Tyler Spivey
Sent: Tuesday, January 21, 2020 7:52 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] Error with NVDA addons

Why isn't the updater checking the current version? Surely it can do that.


On 1/21/2020 7:44 AM, Joseph Lee wrote:
Hi,
You can ignore these updates for now until 2019.3 stable version is released.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of David
Mehler
Sent: Tuesday, January 21, 2020 7:39 AM
To: nvda <nvda@nvda.groups.io>
Subject: [nvda] Error with NVDA addons

Hello,

I'm running NVDA 2019.2.1 on win10 x64. I checked for an NVDA update
and didn't see any. I then checked for addon updates and got error
messages from the following addons stating they need a minimum of NVDA
2019.3 which is not out yet. Is there a fix? The addons in question
are:

resource monitor
OBJ pad
windows 10 app essentials
goldwacve
virtual revision
easy table
enhanced touch gestures
systray list

Thanks.
Dave.





 

On Tue, Jan 21, 2020 at 10:44 AM, Joseph Lee wrote:
You can ignore these updates for now until 2019.3 stable version is released.
That's precisely what I've been doing.  Given the degree of changes, and their sheer number, for the 2019.3 release I had expected a transitional period where either NVDA got ahead of the add-ons or the add-ons got ahead of the released NVDA and that all will settle out when "both are on the same page."

There are only so many hours in the day and people on a development team.

I also presumed that there would be updates to the add-on updater itself when time permits, but that this would not be top priority until NVDA 2019.3 and the corresponding add-ons for same had already gone live.
 
--

Brian - Windows 10 Pro, 64-Bit, Version 1909, Build 18363  

Most of the change we think we see in life is due to truths being in and out of favor.

         ~ Robert Frost, The Black Cottage (1914)

 

 

 

Hi,

At the moment translators are finalizing their work, and once that completes (early February), 2019.3 RC should be out, at which point things will accelerate. I have advised (or perhaps will advise) add-on authors to prepare to release stable releases that will support (or require) 2019.3. At least from my side, all my add-ons are 2019.3 ready or will require 2019.3 (Add-on Updater will be the very last one to require 2019.3 due to vast install base).

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Brian Vogel
Sent: Tuesday, January 21, 2020 8:09 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] Error with NVDA addons

 

On Tue, Jan 21, 2020 at 10:44 AM, Joseph Lee wrote:

You can ignore these updates for now until 2019.3 stable version is released.

That's precisely what I've been doing.  Given the degree of changes, and their sheer number, for the 2019.3 release I had expected a transitional period where either NVDA got ahead of the add-ons or the add-ons got ahead of the released NVDA and that all will settle out when "both are on the same page."

There are only so many hours in the day and people on a development team.

I also presumed that there would be updates to the add-on updater itself when time permits, but that this would not be top priority until NVDA 2019.3 and the corresponding add-ons for same had already gone live.
 
--

Brian - Windows 10 Pro, 64-Bit, Version 1909, Build 18363  

Most of the change we think we see in life is due to truths being in and out of favor.

         ~ Robert Frost, The Black Cottage (1914)

 

 

Clive Pallett
 

Hello Joseph,

I am having similar problems trying to update add-ons, so every time I am now prompted at start-up I uncheck all of them and NVDA loads as normal. I hope the next release is out soon.

Best wishes,

Clive pallett

 

Hi,
If you are getting add-on update notifications when you start, just ignore them for now until 2019.3 stable version is released.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Clive Pallett
Sent: Tuesday, January 21, 2020 8:52 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] Error with NVDA addons

Hello Joseph,

I am having similar problems trying to update add-ons, so every time I am now prompted at start-up I uncheck all of them and NVDA loads as normal. I hope the next release is out soon.

Best wishes,

Clive pallett

Sarah k Alawami
 

You can actually go to settings of the add ons manager, and uncheck the boxes that have something to do with auto updates.

Take care

Sarah Alawami, owner of TFFP. . For more info go to our website. This is also our libsyn page as well.

to subscribe to the feed click here

Our telegram channel is also a good place for an announce only in regard to podcasts, contests, etc.

Our discord is where you will know when we go live on [twitch.](twitch.tv/ke7zum] Feel free to give the channel a follow and see what is up there.

Finally, to become a patron and help support the podcast go here

On 21 Jan 2020, at 8:52, Clive Pallett wrote:

Hello Joseph,

I am having similar problems trying to update add-ons, so every time I am now prompted at start-up I uncheck all of them and NVDA loads as normal. I hope the next release is out soon.

Best wishes,

Clive pallett

 

Well to be honest, I don't see us needing this functionality at least if and when nvda goes to the next version we can hope that within a few months to a year every addon we need should be in all fairness up to date.

However I could see a situation where a few addons wouldn't work.

However its basically essential that everyone on windows 10 at least upgrades.

I guess if you didn't need addons you could use nvda previous on 8 7 or xp.

Then again, without addons on 10 you probably could live for the most part except you wouldn't get the enhancements with the app essentials addon.

Of course you could use an older version of all the stuff which would last to the next release or so of windows 10.

So in fairness you probably could continue with 2019.2.1 or whatever for maybe a couple or 3 years or so or how ever long you kept things going.

Of course it goes without saying you would have to stay on 1 single windows release for a while but still if it was that important to you.

On 22/01/2020 5:01 am, Joseph Lee wrote:
Hi,
At the moment it cannot block add-on downloads - we need a separate table in add-on files repo to store compatibility ranges. This is being worked on as part of a proposal to revamp the add-on release workflow.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Tyler Spivey
Sent: Tuesday, January 21, 2020 7:52 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] Error with NVDA addons

Why isn't the updater checking the current version? Surely it can do that.


On 1/21/2020 7:44 AM, Joseph Lee wrote:
Hi,
You can ignore these updates for now until 2019.3 stable version is released.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of David
Mehler
Sent: Tuesday, January 21, 2020 7:39 AM
To: nvda <nvda@nvda.groups.io>
Subject: [nvda] Error with NVDA addons

Hello,

I'm running NVDA 2019.2.1 on win10 x64. I checked for an NVDA update
and didn't see any. I then checked for addon updates and got error
messages from the following addons stating they need a minimum of NVDA
2019.3 which is not out yet. Is there a fix? The addons in question
are:

resource monitor
OBJ pad
windows 10 app essentials
goldwacve
virtual revision
easy table
enhanced touch gestures
systray list

Thanks.
Dave.







 

I'd actually agree with sara here.

In fact I would do that right now.

I have been contemplating updating some of my admin systems to beta only because they only use the win10 apps addon.

The reason I do not update right now is that I have  several addons which are not compatible as of this moment including interactive fiction interpreters.

But it does seem that for the most part the beta is getting quite stable now.

I wouldn't do it myself mainly because I want a fallback right now to other work I am doing, and yeah that is testing beta software, I just don't want to load to many betas at once and have it all go to heck.

After my load of bad luck last year, the days of shooting fast from the hip and taking my chances are definitely over!



On 22/01/2020 6:14 am, Sarah k Alawami wrote:

You can actually go to settings of the add ons manager, and uncheck the boxes that have something to do with auto updates.

Take care

Sarah Alawami, owner of TFFP. . For more info go to our website. This is also our libsyn page as well.

to subscribe to the feed click here

Our telegram channel is also a good place for an announce only in regard to podcasts, contests, etc.

Our discord is where you will know when we go live on [twitch.](twitch.tv/ke7zum] Feel free to give the channel a follow and see what is up there.

Finally, to become a patron and help support the podcast go here

On 21 Jan 2020, at 8:52, Clive Pallett wrote:

Hello Joseph,

I am having similar problems trying to update add-ons, so every time I am now prompted at start-up I uncheck all of them and NVDA loads as normal. I hope the next release is out soon.

Best wishes,

Clive pallett

Sarah k Alawami
 

Well, there is a portable version of NVDA you can play with, so you can do that and have your fall back to 19.2 stable. I would do that, in fact I know of someone who did and they said it was horrible. It lagged on their machine, and our flight add on we use which is our AP, made NVDA just barf, so hopefully that can one day be taken a look at.

Sarah Alawami, owner of TFFP. . For more info go to our website. This is also our libsyn page as well.

to subscribe to the feed click here

Our telegram channel is also a good place for an announce only in regard to podcasts, contests, etc.

Our discord is where you will know when we go live on [twitch.](twitch.tv/ke7zum] Feel free to give the channel a follow and see what is up there.

Finally, to become a patron and help support the podcast go here

On 21 Jan 2020, at 9:24, Shaun Everiss wrote:

I'd actually agree with sara here.

In fact I would do that right now.

I have been contemplating updating some of my admin systems to beta only because they only use the win10 apps addon.

The reason I do not update right now is that I have  several addons which are not compatible as of this moment including interactive fiction interpreters.

But it does seem that for the most part the beta is getting quite stable now.

I wouldn't do it myself mainly because I want a fallback right now to other work I am doing, and yeah that is testing beta software, I just don't want to load to many betas at once and have it all go to heck.

After my load of bad luck last year, the days of shooting fast from the hip and taking my chances are definitely over!



On 22/01/2020 6:14 am, Sarah k Alawami wrote:

You can actually go to settings of the add ons manager, and uncheck the boxes that have something to do with auto updates.

Take care

Sarah Alawami, owner of TFFP. . For more info go to our website. This is also our libsyn page as well.

to subscribe to the feed click here

Our telegram channel is also a good place for an announce only in regard to podcasts, contests, etc.

Our discord is where you will know when we go live on [twitch.](twitch.tv/ke7zum] Feel free to give the channel a follow and see what is up there.

Finally, to become a patron and help support the podcast go here

On 21 Jan 2020, at 8:52, Clive Pallett wrote:

Hello Joseph,

I am having similar problems trying to update add-ons, so every time I am now prompted at start-up I uncheck all of them and NVDA loads as normal. I hope the next release is out soon.

Best wishes,

Clive pallett

 

Well, ever since windows 10, a lot of security systems have changed dumbing down and crapifying the portable.

Uia, universal apps, including some windows apps like settings, some websites, chrome maybe and a few other things, need the secure areas thing to be accessible.

You need nvda installed for that to work and there are other things.

If you use traditional windows apps, desktop apps, file exploring apps, and installers then you may get away with it.

Narator is good for that.

Saying that I don't agree that narator is better than nvda at any case.

It is usefull as a companion reader and I use it for things nvda can't reach.

Its scan mode is something nvda does not do yet.

Thats about the only reason I use narator though.

Some of my graphics drivers and the like need scan mode to do things.



On 22/01/2020 6:55 am, Sarah k Alawami wrote:

Well, there is a portable version of NVDA you can play with, so you can do that and have your fall back to 19.2 stable. I would do that, in fact I know of someone who did and they said it was horrible. It lagged on their machine, and our flight add on we use which is our AP, made NVDA just barf, so hopefully that can one day be taken a look at.

Sarah Alawami, owner of TFFP. . For more info go to our website. This is also our libsyn page as well.

to subscribe to the feed click here

Our telegram channel is also a good place for an announce only in regard to podcasts, contests, etc.

Our discord is where you will know when we go live on [twitch.](twitch.tv/ke7zum] Feel free to give the channel a follow and see what is up there.

Finally, to become a patron and help support the podcast go here

On 21 Jan 2020, at 9:24, Shaun Everiss wrote:

I'd actually agree with sara here.

In fact I would do that right now.

I have been contemplating updating some of my admin systems to beta only because they only use the win10 apps addon.

The reason I do not update right now is that I have  several addons which are not compatible as of this moment including interactive fiction interpreters.

But it does seem that for the most part the beta is getting quite stable now.

I wouldn't do it myself mainly because I want a fallback right now to other work I am doing, and yeah that is testing beta software, I just don't want to load to many betas at once and have it all go to heck.

After my load of bad luck last year, the days of shooting fast from the hip and taking my chances are definitely over!



On 22/01/2020 6:14 am, Sarah k Alawami wrote:

You can actually go to settings of the add ons manager, and uncheck the boxes that have something to do with auto updates.

Take care

Sarah Alawami, owner of TFFP. . For more info go to our website. This is also our libsyn page as well.

to subscribe to the feed click here

Our telegram channel is also a good place for an announce only in regard to podcasts, contests, etc.

Our discord is where you will know when we go live on [twitch.](twitch.tv/ke7zum] Feel free to give the channel a follow and see what is up there.

Finally, to become a patron and help support the podcast go here

On 21 Jan 2020, at 8:52, Clive Pallett wrote:

Hello Joseph,

I am having similar problems trying to update add-ons, so every time I am now prompted at start-up I uncheck all of them and NVDA loads as normal. I hope the next release is out soon.

Best wishes,

Clive pallett

Luke Davis
 

You don't have to uncheck them, if you don't mind just pressing enter on the error messages. Nothing bad will happen.

Luke

On Tue, 21 Jan 2020, Clive Pallett wrote:

Hello Joseph,

I am having similar problems trying to update add-ons, so every time I am now prompted at start-up I uncheck all of them and NVDA loads as normal. I hope the next release is out soon.

Best wishes,

Clive pallett




--
Luke Davis
Moderator: the new NVDA Help mailing list! (https://groups.io/g/NVDAHelp)
Author: Debug Helper NVDA add-on (https://addons.nvda-project.org/addons/debugHelper.en.html)